Subject: Re: [Feature Proposal] Add a built-in 'git whoami' command

From: "Kristoffer Haugsbakk" <[email-masked]>
Date: Tue, 31 Mar 2026 18:43:02 +0200

On Tue, Mar 31, 2026, at 16:57, Giorgos Gasparis wrote:
> I would like to propose adding a native git whoami command to Git to
> easily check the currently active identity.
>
> Currently, users have to run two separate commands (git config
> user.name and git config user.email) to check this. This is a frequent
> friction point for developers balancing work and personal repositories
> who want to double-check their active profile before committing.
>
> To solve this locally, I currently use the following alias in my .gitconfig:
>
> [alias] whoami = !echo "👤 $(git config user.name) | 📧 $(git config
> user.email)"

Strange. I was looking at an example from git-interpret-trailers(1) today.

    $ git config trailer.sign.cmd 'echo "$(git config user.name) <$(git config user.email)>"'

And “git-whoami(1)?” jumped in to my mind.

You can kind of get that with [which Junio mentioned after I wrote this draft]

    git var GIT_AUTHOR_IDENT | sed -e 's/> .*/>/'

Too bad with the postprocessing needed for the timestamp.

> Having a built-in command that provides this kind of unified,
> single-line output natively (even as standard plain text without
> emojis) would be a great quality-of-life improvement for the wider
> community so they don't have to build custom aliases.

A problem (subjectively) is that there are already 147 git(1) commands.